Page MenuHomePhabricator

Updated the signature for some stack related intrinsics (CLANG)
ClosedPublic

Authored by cdevadas on Jul 11 2019, 6:03 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

cdevadas created this revision.Jul 11 2019, 6:03 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 11 2019, 6:03 AM
cdevadas updated this revision to Diff 209467.Jul 12 2019, 5:45 AM

Added alloca address space.

Can you add AMDGPU tests for these showing the correct address space is used

cdevadas updated this revision to Diff 210648.Jul 18 2019, 12:17 PM

updated test/CodeGenOpenCL/builtins-generic-amdgcn.cl to vaildate the address space.

arsenm accepted this revision.Jul 18 2019, 1:39 PM

LGTM

This revision is now accepted and ready to land.Jul 18 2019, 1:39 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMon, Jul 22, 5:50 AM